Bug 174832 - x11-fm/deforaos-browser upgrade to 0.4.10
Summary: x11-fm/deforaos-browser upgrade to 0.4.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-30 13:50 UTC by olivier
Modified: 2013-01-03 15:50 UTC (History)
0 users

See Also:


Attachments
deforaos-browser.0.4.10.diff (1.46 KB, patch)
2012-12-30 13:50 UTC, olivier
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description olivier 2012-12-30 13:50:00 UTC
	Here is a patch for upgrading x11-fm/deforaos-browser to 0.4.10
Comment 1 olivier 2012-12-30 15:16:38 UTC
Can you replace my MAKE_ARGS+= line with this new one:

MAKE_ARGS+=    PREFIX=${PREFIX} CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"

This will permit to support CFLAGS and LDFLAGS.

Thanks,

On Sun, Dec 30, 2012 at 2:50 PM,  <FreeBSD-gnats-submit@freebsd.org> wrote:
> Thank you very much for your problem report.
> It has the internal identification `ports/174832'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.
>
> You can access the state of your problem report at any time
> via this link:
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=174832
>
>>Category:       ports
>>Responsible:    freebsd-ports-bugs
>>Synopsis:       x11-fm/deforaos-browser upgrade to 0.4.10
>>Arrival-Date:   Sun Dec 30 13:50:00 UTC 2012
Comment 2 olivier 2012-12-31 08:59:42 UTC
On Sun, Dec 30, 2012 at 4:16 PM, Olivier Cochard-Labb=E9
<olivier@cochard.me> wrote:
> Can you replace my MAKE_ARGS+=3D line with this new one:
>
> MAKE_ARGS+=3D    PREFIX=3D${PREFIX} CFLAGS=3D"${CFLAGS}" LDFLAGS=3D"${LDF=
LAGS}"
>
> This will permit to support CFLAGS and LDFLAGS.
>


Oops, forgot my last mail: Kept my original patch without adding
CFLAGS and LDFLAGS to MAKE_ARGS, it seems I meet some problem if I add
CFLAGS and LDFLAGS.

sorry for the noise.

Olivier
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-01-03 14:52:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 dfilter service freebsd_committer 2013-01-03 15:47:32 UTC
Author: rm
Date: Thu Jan  3 15:46:33 2013
New Revision: 309892
URL: http://svnweb.freebsd.org/changeset/ports/309892

Log:
  - update to 0.4.10
  - make it PREFIX-safe
  
  PR:		174832
  Submitted by:	olivier@cochard.me

Modified:
  head/x11-fm/deforaos-browser/Makefile
  head/x11-fm/deforaos-browser/distinfo
  head/x11-fm/deforaos-browser/pkg-plist

Modified: head/x11-fm/deforaos-browser/Makefile
==============================================================================
--- head/x11-fm/deforaos-browser/Makefile	Thu Jan  3 15:44:56 2013	(r309891)
+++ head/x11-fm/deforaos-browser/Makefile	Thu Jan  3 15:46:33 2013	(r309892)
@@ -2,9 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	deforaos-browser
-PORTVERSION=	0.4.8
+PORTVERSION=	0.4.10
 CATEGORIES=	x11-fm
-MASTER_SITES=	http://www.defora.org/os/download/download/3701/
+MASTER_SITES=	http://www.defora.org/os/download/download/4010/
 DISTNAME=	Browser-${PORTVERSION}
 
 MAINTAINER=	olivier@cochard.me
@@ -22,6 +22,7 @@ USE_GNOME=	gtk20 desktopfileutils
 USE_PKGCONFIG=	build
 USE_GETTEXT=	yes
 INSTALLS_ICONS=	yes
+MAKE_ARGS+=	PREFIX=${PREFIX}
 
 MAKE_ENV+=	MANDIR=${MANPREFIX}/man
 

Modified: head/x11-fm/deforaos-browser/distinfo
==============================================================================
--- head/x11-fm/deforaos-browser/distinfo	Thu Jan  3 15:44:56 2013	(r309891)
+++ head/x11-fm/deforaos-browser/distinfo	Thu Jan  3 15:46:33 2013	(r309892)
@@ -1,2 +1,2 @@
-SHA256 (Browser-0.4.8.tar.gz) = 57379665783234de665e10a7eb8f05832edf2c0e5c6ed007fee4e1b2377b0afa
-SIZE (Browser-0.4.8.tar.gz) = 120154
+SHA256 (Browser-0.4.10.tar.gz) = e1883e60781bf8a81ad2c38736ccb14e94ba2467b3a14f49e306dc2ea1444cf7
+SIZE (Browser-0.4.10.tar.gz) = 124966

Modified: head/x11-fm/deforaos-browser/pkg-plist
==============================================================================
--- head/x11-fm/deforaos-browser/pkg-plist	Thu Jan  3 15:44:56 2013	(r309891)
+++ head/x11-fm/deforaos-browser/pkg-plist	Thu Jan  3 15:46:33 2013	(r309892)
@@ -9,8 +9,10 @@ bin/properties
 bin/view
 include/Desktop/Browser.h
 include/Desktop/Browser/desktop.h
+include/Desktop/Browser/plugin.h
 lib/Browser/plugins/cvs.so
 lib/Browser/plugins/dirtree.so
+lib/Browser/plugins/git.so
 lib/Browser/plugins/preview.so
 lib/Browser/plugins/properties.so
 lib/Browser/plugins/subversion.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2013-01-03 15:50:11 UTC
State Changed
From-To: open->closed

Committed, thank you!